VERSION 4.00
Begin VB.Form ListerDialog 
   Caption         =   "Property Lister"
   ClientHeight    =   3975
   ClientLeft      =   2145
   ClientTop       =   1455
   ClientWidth     =   3990
   Height          =   4380
   Left            =   2085
   LinkTopic       =   "Form1"
   ScaleHeight     =   3975
   ScaleWidth      =   3990
   Top             =   1110
   Width           =   4110
   Begin VB.CommandButton CmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   495
      Left            =   1440
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   3360
      Width           =   1095
   End
   Begin VB.TextBox ValuesText 
      BackColor       =   &H8000000F&
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3255
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   0
      Width           =   3975
   End
End
Attribute VB_Name = "ListerDialog"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' The environment instance.
Public VBInstance As VBIDE.Application

' ************************************************
' Unload the dialog.
' ************************************************
Private Sub CmdClose_Click()
    Unload Me
End Sub

' ************************************************
' Load the property values.
' ************************************************
Private Sub Form_Load()
    ValuesText.Text = GetValues
End Sub

' ************************************************
' Display the properties for the selected
' controls.
' ************************************************
Public Function GetValues() As String
Dim ctl As Object
Dim txt As String
Dim i As Integer
Dim field_name As String
Dim idx As String
Dim prop_name As String
Dim prop_value As String

    For Each ctl In VBInstance.ActiveProject. _
            ActiveForm.SelectedControlTemplates
        field_name = ctl.Properties("Name")
        idx = ctl.Properties("Index")
        If idx <> "-1" Then _
            field_name = field_name & _
            "(" & idx & ")"
        txt = txt & "***** " & field_name & vbCrLf
        
        On Error Resume Next
        For i = 0 To ctl.Properties.Count - 1
            prop_name = ctl.Properties(i).Name
            prop_value = ctl.Properties(i).Value
            txt = txt & prop_name & ": " & _
                prop_value & vbCrLf
        Next i
        On Error GoTo 0
    Next ctl
    
    GetValues = txt
End Function

' ************************************************
' Make the value text area as large as possible.
' ************************************************
Private Sub Form_Resize()
Dim hgt As Single

    hgt = ScaleHeight - CmdClose.Height - 60
    If hgt < 120 Then hgt = 120
    
    ValuesText.Move 0, 0, ScaleWidth, hgt
    CmdClose.Move (ScaleWidth - CmdClose.Width) / 2, hgt + 60
End Sub

